Page MenuHomeFreeBSD

FreeBSD Handbook: FreeBSD Boot Process: GNU GRUB
ClosedPublic

Authored by grahamperrin on Sep 23 2022, 6:31 PM.
Tags
None
Referenced Files
Unknown Object (File)
Fri, Jan 13, 3:21 AM
Unknown Object (File)
Sat, Dec 31, 2:43 AM
Unknown Object (File)
Sat, Dec 31, 2:42 AM
Unknown Object (File)
Sat, Dec 31, 2:37 AM
Unknown Object (File)
Fri, Dec 30, 1:26 PM
Unknown Object (File)
Dec 20 2022, 4:36 AM
Unknown Object (File)
Dec 15 2022, 7:58 PM
Unknown Object (File)
Dec 5 2022, 8:28 AM
Subscribers

Details

Summary

https://docs.freebsd.org/en/books/handbook/boot/#boot-introduction mentions GRUB. Some readers will wonder why things such as installers for FreeBSD are not suitably GRUB-aware; and why there's so little FreeBSD-provided documentation about GRUB.

Add a note, directing users of GRUB to GNU-provided documentation.

Case correction: GRUB should be uppercase.

Elsewhere in the page: a minor correction, superfluous space before a colon.

Test Plan

Diff Detail

Repository
R9 FreeBSD doc repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

grahamperrin created this revision.

A few minor comments. The rest looks good.

documentation/content/en/books/handbook/boot/_index.adoc
110

Contractions like there's are discouraged in the handbook -> there is

111

The please is superfluous and may be interpreted as a command.

Approved, once @bcr's comments are addressed.

This revision is now accepted and ready to land.Sep 23 2022, 7:01 PM

Trailing whitespace error not visible in Phabricator.

documentation/content/en/books/handbook/boot/_index.adoc
111

Trailing whitespace error – not visible in Phabricator – caught with a first run of git-apply(1).

It'll be impossible for me to break the decades-long habit of intentionally adding white space, I'll sometimes forget to remove what's required for diff purposes. Sorry.

Fixed prior to push, notes to self at https://github.com/freebsd/freebsd-doc/pull/87#issuecomment-1256883300.